Skip to content

Get attributes

GET
/merchants/{merchantCode}/attributes
curl --request GET \
--url 'https://customer.shopgate.io/v1/merchants/example/attributes?limit=100&offset=0'

Get attributes

merchantCode
required
string
localeCode
string

Locale code to change the language of the attributes

limit
integer
default: 100 <= 1000

The limit of entries of one page

offset
integer
0

The offset where to start the page

Attribute information

Media typeapplication/json
object
meta
object
limit
number
offset
number
totalItemCount
number
attributes
Array
object
code
string
visibility

Controls the visibility of attributes on a customer

string
Allowed values: internal public
displayGroup

Controls display grouping of attributes

string | null
type

Describes which type of validation to apply to an attribute’s value. “collectionOfValues” will check for an existing attribute value, the others will check for customer inputs to meet validation criteria of the suggested type (e.g. for type “boolean”, passing “123” will fail validation). The type cannot be changed once an attribute has been created.

string
Allowed values: text number boolean date collectionOfValues callingNumber
name

Name of the attribute which will be shown to the customer. It’s saved in the language of the passed locale.

string
isRequired
boolean
values
Array
object
code
required

Unique identifier for the attribute value

string
sequenceId
required

Sequence id of the order of the values. The lowest number is at the top and the highest number is at the bottom.

number
name
required

Name of the attribute value which will be shown to the customer. It’s saved in the language of the passed locale.

string
Example
{
"meta": {
"limit": 100,
"offset": 0,
"totalItemCount": 1
},
"attributes": [
{
"type": "text",
"isRequired": true,
"name": "Favorite Pet",
"code": "favoritePet",
"visibility": "public",
"displayGroup": "default",
"values": [
{
"name": "Dog",
"code": "dog",
"sequenceId": 0
},
{
"name": "Fish",
"code": "fish",
"sequenceId": 1
},
{
"name": "Cat",
"code": "cat",
"sequenceId": 2
},
{
"name": "Rabbit",
"code": "rabbit",
"sequenceId": 3
}
]
},
{
"type": "collectionOfValues",
"isRequired": true,
"name": "Favorite Sport Team",
"code": "favoriteSportTeam",
"visibility": "internal",
"displayGroup": "default",
"values": [
{
"name": "gsw",
"code": "Golden State Warriors",
"sequenceId": 0
},
{
"name": "oct",
"code": "Oklahoma City Thunder",
"sequenceId": 1
}
]
}
]
}

Validation error

Media typeapplication/json
object
errors
Array<object>
object
field
required

The parameter-field, that failed to validate, like “shopNumber”

string
value

The value, that was sent, like “xxx”

string
code
required

Machine readable error code

string
Allowed values: ENUM_MISMATCH MAXIMUM MAXIMUM_EXCLUSIVE MINIMUM MINIMUM_EXCLUSIVE MULTIPLE_OF ARRAY_LENGTH_LONG ARRAY_LENGTH_SHORT ARRAY_ADDITIONAL_ITEMS ARRAY_UNIQUE MAX_LENGTH MIN_LENGTH MAX_PROPERTIES MIN_PROPERTIES OBJECT_MISSING_REQUIRED_PROPERTY OBJECT_PROPERTIES_MAXIMUM OBJECT_PROPERTIES_MINIMUM OBJECT_ADDITIONAL_PROPERTIES OBJECT_DEPENDENCY_KEY ONE_OF_MISSING ONE_OF_MULTIPLE NOT_PASSED INVALID_FORMAT UNKNOWN_FORMAT PATTERN
message
required

Human readable error code

string
Example
{
"errors": [
{
"code": "ENUM_MISMATCH"
}
]
}

Merchant not found

Media typeapplication/json

Unexpected error

Media typeapplication/json
object
code

Machine readable error code

string
message
required

Human readable error code

string
Examplegenerated
{
"code": "example",
"message": "example"
}